Prepare charge

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≥ 1

Per account unique reference to charge/invoice. E.g. order id from own system. Multiple payments can be attempted for the same handle but only one authorized or settled charge can exist per handle. Max length 255 with allowable characters [a-zA-Z0-9_.-@]. It is recommended to use a maximum of 20 characters as this will allow for the use of handle as reference on bank statements without truncation. If Danish Dankort is supported a maximum of 11 characters should be used.

string

Optional idempotency key. Only one authorization or settle can be performed for the same handle. If two create attempts are attempted and the first succeeds the second will fail because charge is already settled or authorized. An idempotency key identifies uniquely the request and multiple requests with the same key and handle will yield the same result. In case of networking errors the same request with same key can safely be retried.

int32
≥ 1

Amount in the smallest unit. Either amount or order_lines must be provided if charge/invoice does not already exists.

string

Optional currency in ISO 4217 three letter alpha code. If not provided the account default currency will be used. The currency of an existing charge or invoice cannot be changed.

customer
object

Create customer object

metadata
object

Custom metadata.

string

Optional order text. Used in conjunction with amount. Ignored if order_lines is provided.

order_lines
array of objects
length between 0 and 1000

Order lines for the charge. The order lines controls the amount. Only required if charge/invoice does not already exist. If given for existing charge the order lines and amount are adjusted. A maximum of 100 order lines is allowed.

order_lines
string

Customer reference. If charge does not already exist either this reference must be provided, a create customer object must be provided or the source must be a payment method reference (e.g. ca_..) identifying customer. Notice that customer cannot be changed for existing charge/invoice so if handle is provided it must match the customer handle for existing customer.

billing_address
object

Optional billing address

shipping_address
object

Optional shipping address

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json